Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.odftoolkit.odfdom.dom.type.table
Enum OdfFieldReferenceType

    java.lang.Object
      java.lang.Enum<OdfFieldReferenceType>
          org.odftoolkit.odfdom.dom.type.table.OdfFieldReferenceType

All Implemented Interfaces:
  Serializable, Comparable<OdfFieldReferenceType>

    public enum OdfFieldReferenceType

extends Enum<OdfFieldReferenceType>

DOM implementation of OpenDocument attribute table:type.

Enum Constant Summary
`COLUMN_PERCENTAGE`
`INDEX`
`MEMBER_DIFFERENCE`
`MEMBER_PERCENTAGE`
`MEMBER_PERCENTAGE_DIFFERENCE`
`NONE`
`ROW_PERCENTAGE`
`RUNNING_TOTAL`
`TOTAL_PERCENTAGE`

Method Summary
`static OdfFieldReferenceType` | `enumValueOf(String stringValue)` String to enum, turns a String into its corresponding enum constant
`String` | `toString()` gets the name of this enum.
`static String` | `toString(OdfFieldReferenceType enumeration)` enum to String, gets the name of this enum constant as a string.
`static OdfFieldReferenceType` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static OdfFieldReferenceType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MEMBER_DIFFERENCE

    public static final OdfFieldReferenceType MEMBER_DIFFERENCE

### MEMBER_PERCENTAGE_DIFFERENCE

    public static final OdfFieldReferenceType MEMBER_PERCENTAGE_DIFFERENCE

### ROW_PERCENTAGE

    public static final OdfFieldReferenceType ROW_PERCENTAGE

### MEMBER_PERCENTAGE

    public static final OdfFieldReferenceType MEMBER_PERCENTAGE

### NONE

    public static final OdfFieldReferenceType NONE

### COLUMN_PERCENTAGE

    public static final OdfFieldReferenceType COLUMN_PERCENTAGE

### TOTAL_PERCENTAGE

    public static final OdfFieldReferenceType TOTAL_PERCENTAGE

### INDEX

    public static final OdfFieldReferenceType INDEX

### RUNNING_TOTAL

    public static final OdfFieldReferenceType RUNNING_TOTAL

Method Detail

### values

    public static OdfFieldReferenceType[] values()

  Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

      for (OdfFieldReferenceType c : OdfFieldReferenceType.values())
          System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they are declared

### valueOf

    public static OdfFieldReferenceType valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name
    `NullPointerException` - if the argument is null

### toString

    public String toString()

  gets the name of this enum.

  Overrides:
    `toString` in class `Enum<OdfFieldReferenceType>`
  Returns:
    return the name of OdfFieldReferenceType

### toString

    public static String toString(OdfFieldReferenceType enumeration)

  enum to String, gets the name of this enum constant as a string.

  Parameters:
    `enumeration` - the constant of OdfFieldReferenceType, see table:type
  Returns:
    return the name of OdfFieldReferenceType

### enumValueOf

    public static OdfFieldReferenceType enumValueOf(String stringValue)

  String to enum, turns a String into its corresponding enum constant

  Parameters:
    `stringValue` - the name of OdfFieldReferenceType
  Returns:
    return the constant of OdfFieldReferenceType, see table:type

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

Copyright © 2009. All Rights Reserved.